# runsmod

~~~
runsmod: récupérer des dépôts git à usage de runs

USAGE
    runsmod [options] [-h host] [modules...]

Tous les dépôts spécifiés dans la configuration sont récupérés. Si des modules
sont spécifiés, les dépôts correspondants sont récupérés aussi. Avec l'option
-h, des dépôts spécifiques à l'hôte peuvent éventuellement être récupérés en
plus.

Il est possible de spécifier le module '*' pour récupérer tous les modules
disponibles. C'est utile sur un poste de développement.

OPTIONS
    -c, --config CONFIG
        Spécifier un fichier de configuration à charger au lieu de la valeur par
        défaut ~/etc/default/runs
    --prod
    --devel
        Forcer un mode de sélection des urls. En mode production, préférer pour
        le clonage les urls de production, qui sont en principe accessibles sans
        authentification et en lecture seule. En mode développement, préférer
        pour le clonage les urls de développement, qui sont en principe
        accessibles par clé ssh et en lecture/écriture
    --no-fetch
        Ne rien récupérer. Utile avec --update-repolist
    -N, --no-host
    -A, --all-hosts
    -H, -h, --host HOST
    -T, --this-host
        Options permettant de spécifier l'hôte pour la récupération de dépôts
        spécifiques.
        --no-host demande explicitement à ce qu'aucun hôte ne soit spécifié
        --all-hosts sélectionne tous les dépôts spécifiques
        --host récupère uniquement les dépôts pour l'hôte spécifié
        --this-host équivaut à --host natrix
        L'option par défaut est --this-host en mode production et --all-hosts en
        mode développement
    --update-repolist
        Forcer la mise à jour de la liste des dépôts. En principe, cette mise à
        jour n'est pas faite plus d'une fois par période de 24 heures.
    --shallow-clone
        Faire un clone avec une profondeur de 1. C'est la valeur par défaut pour
        le mode production.
    -0, --offline
    -n, --no-pull
    -u, --pull
        Spécifier le mode opératoire pour la récupération des dépôts.
        En mode --offline, ni clone ni pull ne sont autorisés. Le module doit
        avoir déjà été cloné.
        En mode --no-pull, seul le clonage est autorisé, e.g. le dépôt est
        cloné si ce n'est pas déjà le cas.
        En mode --pull, cloner le dépôt si ce n'est pas déjà le cas, ou le
        mettre à jour le dépôt avant de l'utiliser s'il avait déjà été cloné.
        Par défaut, utiliser --pull en mode production et --no-pull en mode
        développement.
    -i, --identity IDENTITY_FILE
        Spécifier le fichier depuis lequel lire la clé privée pour les
        connexions par ssh.
    -o, --output OUTPUT
        Spécifier un fichier dans lequel écrire des définitions de variables,
        notamment REPODIRS qui reçoit la liste des chemins des dépôts qui ont
        été récupérés. De plus, les variables RUNSSCRIPTSPATH, RUNSMODULESPATH
        et RUNSHOSTSPATH sont définies.
    -a, --append-output
        Ajouter au fichier OUTPUT au lieu de l'écraser
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary